Skip to main content
GET
Channel Shorts
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

handle
string

Can pass channelId or handle

Example:

"ThePatMcAfeeShow"

channelId
string

Can pass channelId or handle

Example:

"UC-9-kyTW8ZkZNDHQJ6FgpwQ"

sort
enum<string>

Sort by newest or popular

Available options:
newest,
popular
Example:

"newest"

continuationToken
string

Continuation token to get more videos. Get 'continuationToken' from previous response.

Example:

"4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB"

Response

Successful response

Key Response Fields:

  • data.shorts[0].id: YouTube short video ID
  • data.shorts[0].url: Full YouTube URL
  • data.shorts[0].title: Short title
  • data.shorts[0].viewCountInt: View count as integer
  • data.shorts[0].likeCountInt: Like count as integer
  • data.shorts[0].commentCountInt: Comment count as integer
  • data.shorts[0].publishDate: ISO timestamp of when the short was published
  • data.shorts[0].genre: Content genre/category
  • data.continuationToken: Pagination cursor — pass as continuationToken to get the next page